---
title: Templates
page_title: Templates - PivotGrid - Kendo UI for Vue
description: "Customize the content of the Kendo UI PivotGrid wrapper for Vue."
slug: templates_pivotgrid
position: 2
---

<div><WrapperBanner></WrapperBanner></div>

# PivotGrid Templates

The PivotGrid Vue enables you to customize its appearance by using templates.

The PivotGrid supports the following templates:
* [Data cell template](#toc-data-cell-template)
* [Column header template](#toc-column-header-template)
* [Row header template](#toc-row-header-template)

## Data Cell Template

To set the data cell template, use the `:data-cell-template` prop.

{% meta height:460 %}
{% embed_file templates/cell/main.vue preview %}
{% embed_file templates/cell/main.js %}
{% endmeta %}

## Column Header Template

To set the column header template, use the `:column-header-template` prop.

{% meta height:460 %}
{% embed_file templates/header/main.vue preview %}
{% embed_file templates/header/main.js %}
{% endmeta %}

## Row Header Template

To set the row header template, use the `:row-header-template` prop.

{% meta height:460 %}
{% embed_file templates/row-header/main.vue preview %}
{% embed_file templates/row-header/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI PivotGrid for jQuery](https://docs.telerik.com/kendo-ui/controls/data-management/pivotgrid/overview)
* [API Reference of the PivotGrid Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/pivotgrid)
